package org.kblythe.battleship.l10n;

public interface ErrorCodes {
  int GRID_CONFIG_NOT_FOUND = 10001;
  int GAME_NOT_FOUND = 10002;
  int PLAYER_NOT_FOUND = 10003;
  int GRID_CONFIG_MISMATCH = 10004;
  int INVALID_SHIP_COORDINATE = 10005;
  int OVERLAPPING_SHIP_COORDINATE = 10006;
  int NONADJACENT_SHIP_COORDINATES = 10007;
  int GAME_OVER_BOMB_DROP = 10008;
  int NOT_TURN_BOMB_DROP = 10009;
  int INVALID_BOMB_COORDINATE = 10010;
  int COORDINATE_ALREADY_BOMBED = 10011;
}
